Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.mapserver
Class MapServerPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.mapserver.MapServerPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public class MapServerPortlet
extends javax.portlet.GenericPortlet

This portlet is executes the mapserv binary and encapsulating the query parameters passed to it.

Author:
  Philip Mark Donaghy

Field Summary
`private String` | `layers`
`private static String` | `LAYERS`
`private static org.apache.commons.logging.Log` | `log`
`private static String` | `MAP_FILE`
`private static String` | `MAP_WEB_IMAGE_PATH`
`private static String` | `MAP_WEB_IMAGE_URL`
`private static String` | `MAP_WEB_TEMPLATE`
`private String` | `mapFile`
`private static String` | `MAPSERV_BINARY`
`private String` | `mapservBinary`
`private String` | `mapWebImagePath`
`private String` | `mapWebImageURL`
`private String` | `mapWebTemplate`
`private String` | `program`
`private static String` | `PROGRAM`
`private static String` | `ROOT_URL`
`private String` | `rootURL`
`private static String` | `ZOOM_DIRECTION`
`private static String` | `ZOOM_SIZE`
`private String` | `zoomDirection`
`private String` | `zoomSize`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`MapServerPortlet()`

Method Summary
`void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)` doView
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest actionRequest, javax.portlet.ActionResponse actionResponse)` processAction() Process actions made to the MapServer

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### MAPSERV_BINARY

    private static String MAPSERV_BINARY

### LAYERS

    private static String LAYERS

### ZOOM_DIRECTION

    private static String ZOOM_DIRECTION

### ZOOM_SIZE

    private static String ZOOM_SIZE

### MAP_FILE

    private static String MAP_FILE

### PROGRAM

    private static String PROGRAM

### ROOT_URL

    private static String ROOT_URL

### MAP_WEB_IMAGE_PATH

    private static String MAP_WEB_IMAGE_PATH

### MAP_WEB_IMAGE_URL

    private static String MAP_WEB_IMAGE_URL

### MAP_WEB_TEMPLATE

    private static String MAP_WEB_TEMPLATE

### mapservBinary

    private String mapservBinary

### layers

    private String layers

### zoomDirection

    private String zoomDirection

### zoomSize

    private String zoomSize

### mapFile

    private String mapFile

### program

    private String program

### rootURL

    private String rootURL

### mapWebImagePath

    private String mapWebImagePath

### mapWebImageURL

    private String mapWebImageURL

### mapWebTemplate

    private String mapWebTemplate

Constructor Detail

### MapServerPortlet

    public MapServerPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest actionRequest,
                              javax.portlet.ActionResponse actionResponse)
                       throws javax.portlet.PortletException,
                              IOException

  processAction() Process actions made to the MapServer

  Parameters:
    `actionRequest` -
    `actionResponse` -
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### doView

    public void doView(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  doView

  Throws:
    `javax.portlet.PortletException`
    `IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.